Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class StandaloneGCC

    java.lang.Object
      php.java.bridge.Standalone
          php.java.bridge.StandaloneGCC

    public class StandaloneGCC

extends Standalone

This is the native standalone container of the PHP/Java Bridge. It starts the standalone back-end, listenes for protocol requests and handles CreateInstance, GetSetProp and Invoke requests. Supported protocol modes are INET (listens on all interfaces), INET_LOCAL (loopback only), LOCAL, SERVLET and SERVLET_LOCAL (starts the built-in servlet engine listening on all interfaces or loopback).

Example:
`java INET_LOCAL:9676 5 bridge.log &
telnet localhost 9676
<CreateInstance value="java.lang.Long" predicate="Instance" id="0">
<Long value="6"/>
</CreateInstance>
<Invoke value="1" method="toString" predicate="Invoke" id="0"/>
`

Constructor Summary
`StandaloneGCC()`

Method Summary
`static void` | `main(java.lang.String[] s)` Start the PHP/Java Bridge.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandaloneGCC

    public StandaloneGCC()

Method Detail

### main

    public static void main(java.lang.String[] s)

  Start the PHP/Java Bridge.
  Example:
  `java LOCAL:@socket 5 /var/log/php-java-bridge.log`
  Note: Do not write anything to System.out, this stream is connected with a pipe which waits for the channel name.

  Parameters:
    `s` - an array of [socketname, level, logFile]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD